const Chance = require('chance')
const { submittingAuthor } = require('./userData')
const { fragment } = require('./fragments')

const chance = new Chance()
const collections = {
  standardCollection: {
    id: chance.guid(),
    title: chance.sentence(),
    type: 'collection',
    fragments: [fragment.id],
    owners: [submittingAuthor.id],
    authors: [
      {
        userId: submittingAuthor.id,
        isSubmitting: true,
        isCorresponding: false,
      },
    ],
    save: jest.fn(() => collections.standardCollection),
  },
  authorsCollection: {
    id: chance.guid(),
    title: chance.sentence(),
    type: 'collection',
    fragments: [],
    owners: [submittingAuthor.id],
    save: jest.fn(),
  },
}

module.exports = collections
